Uranus(3)

NAME
Uranus -

  Functions
double LIBNOVA_EXPORT ln_get_uranus_sdiam (double JD)
Calculate the semidiameter of Uranus in arc seconds.
int LIBNOVA_EXPORT ln_get_uranus_rst (double JD, struct ln_lnlat_posn *observer, struct ln_rst_time *rst)
Calculate the time of rise, set and transit for Uranus.
void LIBNOVA_EXPORT ln_get_uranus_helio_coords (double JD, struct ln_helio_posn *position)
Calculate Uranus heliocentric coordinates.
void LIBNOVA_EXPORT ln_get_uranus_equ_coords (double JD, struct ln_equ_posn *position)
Calculate Uranus equatorial coordinates.
double LIBNOVA_EXPORT ln_get_uranus_earth_dist (double JD)
Calculate the distance between Uranus and the Earth.
double LIBNOVA_EXPORT ln_get_uranus_solar_dist (double JD)
Calculate the distance between Uranus and the Sun.
double LIBNOVA_EXPORT ln_get_uranus_magnitude (double JD)
Calculate the visible magnitude of Uranus.
double LIBNOVA_EXPORT ln_get_uranus_disk (double JD)
Calculate the illuminated fraction of Uranus's disk.
double LIBNOVA_EXPORT ln_get_uranus_phase (double JD)
Calculate the phase angle of Uranus.
void LIBNOVA_EXPORT ln_get_uranus_rect_helio (double JD, struct ln_rect_posn *position)
Calculate Uranus rectangular heliocentric coordinates.

Detailed Description

Functions relating to the planet Uranus.

All angles are expressed in degrees.

Function Documentation

  double ln_get_uranus_disk (doubleJD)

Calculate the illuminated fraction of Uranus's disk. Calculate the illuminated fraction of Uranus disk.

Returns:
    Illuminated fraction of Uranus disk

Parameters:
    JD Julian day

Returns:
    Illuminated fraction of Uranus disk

Calculate the illuminated fraction of Uranus's disk for the given Julian day.

References ln_get_earth_solar_dist(), ln_get_uranus_earth_dist(), ln_get_uranus_solar_dist(), and ln_helio_posn::R.

  double ln_get_uranus_earth_dist (doubleJD)

Calculate the distance between Uranus and the Earth. Calculate the distance between Uranus and the Earth in AU.

Returns:
    Distance in AU

Parameters:
    JD Julian day

Returns:
    Distance in AU

Calculates the distance in AU between the Earth and Uranus for the given julian day.

References ln_get_earth_helio_coords(), ln_get_rect_from_helio(), ln_get_uranus_helio_coords(), ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_uranus_disk(), ln_get_uranus_magnitude(), ln_get_uranus_phase(), and ln_get_uranus_sdiam().

  void ln_get_uranus_equ_coords (doubleJD, struct ln_equ_posn *position)

Calculate Uranus equatorial coordinates.

Parameters:
    JD julian Day
    position pointer to store position

Calculates uranus's equatorial position for given julian day. This function includes calculations for planetary aberration and refers to the FK5 reference frame.

To get the complete equatorial coordinates, corrections for nutation have to be applied.

The position returned is accurate to within 0.1 arcsecs.

References ln_equ_posn::dec, ln_get_rect_from_helio(), ln_get_solar_geom_coords(), ln_get_uranus_helio_coords(), ln_rad_to_deg(), ln_range_degrees(), ln_equ_posn::ra, ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_uranus_rst().

  void ln_get_uranus_helio_coords (doubleJD, struct ln_helio_posn *position)

Calculate Uranus heliocentric coordinates.

Parameters:
    JD Julian Day
    position Pointer to store heliocentric position

Calculate Uranus heliocentric (refered to the centre of the Sun) coordinates in the FK5 reference frame for the given julian day. Longitude and Latitude are in degrees, whilst radius vector is in AU.

References ln_helio_posn::B, ln_helio_posn::L, ln_rad_to_deg(), ln_range_degrees(), ln_vsop87_to_fk5(), and ln_helio_posn::R.

Referenced by ln_get_uranus_earth_dist(), ln_get_uranus_equ_coords(), ln_get_uranus_rect_helio(), and ln_get_uranus_solar_dist().

  double ln_get_uranus_magnitude (doubleJD)

Calculate the visible magnitude of Uranus.

Returns:
    Visible magnitude of Uranus

Parameters:
    JD Julian day

Returns:
    Visible magnitude of Uranus

Calculate the visible magnitude of Uranus for the given julian day.

References ln_get_uranus_earth_dist(), and ln_get_uranus_solar_dist().

  double ln_get_uranus_phase (doubleJD)

Calculate the phase angle of Uranus. Calculate the phase angle of Uranus (Sun - Uranus - Earth)

Returns:
    Phase angle of Uranus (degrees)

Parameters:
    JD Julian day

Returns:
    Phase angle of Uranus (degrees)

Calculates the phase angle of Uranus, that is, the angle Sun - Uranus - Earth for the given Julian day.

References ln_get_earth_solar_dist(), ln_get_uranus_earth_dist(), ln_get_uranus_solar_dist(), ln_rad_to_deg(), and ln_helio_posn::R.

  void ln_get_uranus_rect_helio (doubleJD, struct ln_rect_posn *position)

Calculate Uranus rectangular heliocentric coordinates.

Parameters:
    JD Julian day.
    position pointer to return position

Calculate Uranus rectangular heliocentric coordinates for the given Julian day. Coordinates are in AU.

References ln_get_rect_from_helio(), and ln_get_uranus_helio_coords().

  double ln_get_uranus_rst (doubleJD, struct ln_lnlat_posn *observer, struct ln_rst_time *rst)

Calculate the time of rise, set and transit for Uranus.

Parameters:
    JD Julian day
    observer Observers position
    rst Pointer to store Rise, Set and Transit time in JD

Returns:
    0 for success, else 1 for circumpolar.

Calculate the time the rise, set and transit (crosses the local meridian at upper culmination) time of Uranus for the given Julian day.

Note: this functions returns 1 if Uranus is circumpolar, that is it remains the whole day either above or below the horizon.

References ln_get_body_rst_horizon(), and ln_get_uranus_equ_coords().

  double ln_get_uranus_sdiam (doubleJD)

Calculate the semidiameter of Uranus in arc seconds.

Parameters:
    JD Julian day

Returns:
    Semidiameter in arc seconds

Calculate the semidiameter of Uranus in arc seconds for the given julian day.

References ln_get_uranus_earth_dist().

  double ln_get_uranus_solar_dist (doubleJD)

Calculate the distance between Uranus and the Sun. Calculate the distance between Uranus and the Sun in AU.

Returns:
    Distance in AU

Parameters:
    JD Julian day

Returns:
    Distance in AU

Calculates the distance in AU between the Sun and Uranus for the given julian day.

References ln_get_uranus_helio_coords(), and ln_helio_posn::R.

Referenced by ln_get_uranus_disk(), ln_get_uranus_magnitude(), and ln_get_uranus_phase().

Author

Generated automatically by Doxygen for libnova from the source code.